# RaspiKeyer

Since I really like the Raspberry Pi Pico, I have started building a cw keyer based upon this microcontroller.

**Note:** The keyer is in a very early stage. If you just want a full featured cw keyer firmware, you should better choose another project.

Features (planned/done):

- [x] Iambic Paddle
- [x] Keying modes: Iambic A, Iambic B
- [x] Straight key
- [x] Sidetone (buzzer)
- [x] CW out (straight key input on TRX)
- [x] Setting speed with rotary knob
- [x] Display (TM1637) showing keyer mode and speed
- [x] Change keying mode via button
- [ ] Logging and Contest Program Interfacing (WinKeyer)
- [ ] Support for three text memory buttons
- [ ] ~~Line out (sine wave) -> long term; not that easy~~
